<? $this->headScript()
		->appendFile(_st('photos.js'), 'text/javascript')
		->appendScript('Cubix.Photos.container = "other-photos"');
?>

<style type="text/css">
	.priv-photo {
		background: url('<?= _st('v2.1/private-overlay.png') ?>') no-repeat top left;
		height: 82px;
		width: 61px;
		position: absolute;
		top: 3px;
		left: 3px;
	}
</style>

<? if( count($this->photos) > 0 ): ?>
	<? $photos = $this->photos; $per_row = 3; ?>

	<? $is_premium = false; ?>
	<? if ( isset($this->user->member_data) ): ?>
		<? $is_premium = $this->user->member_data['is_premium']; ?>
	<? endif; ?>

	<? foreach ( $photos as $k => $photo ): ?>
    	<div class="thumb">
			<? if( ! $is_premium && $photo->type == 3 ): ?>
			<a class="photo for-premium" href="#" rel="<?= $photo->id ?>">
			<? else: ?>
			<a class="photo highslide" href="#" rel="<?= $photo->id ?>" onclick="return PhotoViewer.Show(<?= $photo->id ?>)">
			<? endif; ?>

				<? if ( ! $is_premium && $photo->type == 3): ?>
					<? /*<div class="priv-photo"></div>*/ ?>
				<? endif ?>

				<? if ( $photo->status == Model_Escort_Photos::STATUS_VERIFIED): ?>
				<div class="p100-small"></div>
				<? endif; ?>

				<img src="<?= $photo->getUrl('sthumb2'); ?>" alt="" width="89" height="136" />
			</a>
	    </div>
	<? endforeach; ?>
	
	<? $pages_count = ceil($this->photos_count / $this->photos_perPage); ?>
	<? if ( $pages_count != 1 ): ?>
	<p>
		<?  $pages = $this->paging($this->photos_count, $this->photos_page, $this->photos_perPage); ?>
		<? if ( 1 < $this->photos_page): ?>
			<a class="prev" href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= ($this->photos_page - 1) ?>, <?= $this->escort_id ?>);"></a>
		<? endif ?>
		
		<? foreach ( $pages as $page ): ?>	
		<? if ( $this->photos_page == $page ): ?>
			<span><?= $page ?></span>
		<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= $page ?>, <?= $this->escort_id ?>);"><?= $page ?></a>
		<? endif ?>
		<? endforeach ?>
		
		<? if ( $pages_count > $this->photos_page): ?>
			<a class="next" href="#" onclick="return Cubix.Photos.Load('<?= $this->lang() ?>', <?= ($this->photos_page + 1) ?>, <?= $this->escort_id ?>);"></a>
		<? endif ?>
	</p>
	<? endif;?>

	<div class="clear"></div>
<? endif; ?>
